package com.conflux.web.controller.api;

import com.conflux.common.core.domain.AjaxResult;
import com.conflux.web.controller.nft.domain.CheckArgs;
import com.conflux.web.controller.nft.service.ConfluxService;
import com.conflux.web.controller.privateKey.domain.PrivateKey;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author _007long
 * @Date 2022 05 31
 **/
@Api(tags = "区块链上链接口")
@RestController
@RequestMapping("/api/conflux")
@Slf4j
public class ConfluxAipController {
    @Autowired
    private ConfluxService confluxService;

    /**
     * 上链接口
     *
     * @param checkArgs
     * @return
     */
    @ApiOperation("上链")
    @PostMapping("/push")
    public AjaxResult confluxPush(@RequestBody CheckArgs checkArgs) {
        try {
            return confluxService.confluxPush(checkArgs);
        } catch (Exception e) {
            log.info("上链异常-*-*-*-*-*-*-》：", e);
            return AjaxResult.error("服务器异常，请稍后再试！");
        }

    }

    /**
     * 获取token
     *
     * @return
     */
    @ApiOperation("获取token")
    @PostMapping("/getToken")
    public AjaxResult getToken(@RequestBody PrivateKey privateKey) {
        return confluxService.getToken(privateKey);
    }

    /**
     * 查询id是否铸造成功
     * @param checkArgs
     * @return
     */
    @ApiOperation("查询id是否铸造成功")
    @PostMapping("/getNftStatus")
    public AjaxResult getNftStatus(@RequestBody CheckArgs checkArgs){
        return confluxService.getNftStatus(checkArgs);
    }
}
