package com.conflux.web.controller.collect.domain;

import com.conflux.common.annotation.Excel;
import com.conflux.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * conflux对象 collect_config
 *
 * @author conflux
 * @date 2022-05-31
 */
@Data
public class CollectConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * node
     */
    @Excel(name = "node")
    private String node;

    /**
     * limit_count
     */
    @Excel(name = "limit_count")
    private Integer limitCount;

    /**
     * chain_id
     */
    @Excel(name = "chain_id")
    private Integer chainId;

    /**
     * epoch_number
     */
    @Excel(name = "epoch_number")
    private Long epochNumber;

    /**
     * on_pause
     */
    @Excel(name = "on_pause")
    private Boolean onPause;

    /**
     * mint_pause
     */
    @Excel(name = "mint_pause")
    private Boolean mintPause;

    /**
     * createTime
     */
    @Excel(name = "createTime")
    private Long createTime;

    /**
     * updateTime
     */
    @Excel(name = "updateTime")
    private Long updateTime;

    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;
}
