package com.conflux.web.controller.nft.mapper;


import com.conflux.web.controller.nft.domain.NftLog;

import java.util.List;

/**
 * nft日志Mapper接口
 * 
 * @author conflux
 * @date 2022-06-02
 */
public interface NftLogMapper 
{
    /**
     * 查询nft日志
     * 
     * @param id nft日志主键
     * @return nft日志
     */
    public NftLog selectNftLogById(Long id);

    /**
     * 查询nft日志列表
     * 
     * @param nftLog nft日志
     * @return nft日志集合
     */
    public List<NftLog> selectNftLogList(NftLog nftLog);

    /**
     * 新增nft日志
     * 
     * @param nftLog nft日志
     * @return 结果
     */
    public int insertNftLog(NftLog nftLog);

    /**
     * 修改nft日志
     * 
     * @param nftLog nft日志
     * @return 结果
     */
    public int updateNftLog(NftLog nftLog);

    /**
     * 删除nft日志
     * 
     * @param id nft日志主键
     * @return 结果
     */
    public int deleteNftLogById(Long id);

    /**
     * 批量删除nft日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNftLogByIds(Long[] ids);

    public String selectSum(String unitName);
}
