package com.conflux.common.utils.sign;

import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;

import org.apache.commons.codec.digest.DigestUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Md5加密方法
 * 
 * @author conflux
 */
public class Md5Utils
{
    private static final Logger log = LoggerFactory.getLogger(Md5Utils.class);
    public static final String SALT="7a8b9c10d12e13f";


    private static final String toHex(byte hash[])
    {
        if (hash == null)
        {
            return null;
        }
        StringBuffer buf = new StringBuffer(hash.length * 2);
        int i;

        for (i = 0; i < hash.length; i++)
        {
            if ((hash[i] & 0xff) < 0x10)
            {
                buf.append("0");
            }
            buf.append(Long.toString(hash[i] & 0xff, 16));
        }
        return buf.toString();
    }


    public static String md5(String src){
        return DigestUtils.md5Hex(src);
    }
    /**
     * 1次加密: 明文+随机Salt
     * @param inputPass
     * @return
     */
    public static String md5Salt(String inputPass){
        String str = "" +SALT.charAt(0) + SALT.charAt(2) + inputPass + SALT.charAt(5) + SALT.charAt(4);
        return md5(str);
    }
    /**
     * 2次加密: 用户输入+随机Salt
     * @param formPass
     * @param salt
     * @return
     */
    public static String md5SecondSalt (String formPass,String salt){
        String str = "" +salt.charAt(0) + salt.charAt(2) + formPass + salt.charAt(5) + salt.charAt(4);
        return md5(str);
    }
    /**
     *
     * @param inputPass
     * @param salt
     * @return
     */
    public static String md5Last(String inputPass,String salt){
        String fromPass = md5Salt(inputPass);
        String dbPass = md5SecondSalt(fromPass, salt);
        return dbPass;
    }
}
