package com.conflux.quartz.mapper;



import com.conflux.quartz.domain.NftJob;

import java.util.List;

/**
 * confluxMapper接口
 * 
 * @author conflux
 * @date 2022-05-31
 */
public interface NftJobMapper
{
    /**
     * 查询conflux
     * 
     * @param id conflux主键
     * @return conflux
     */
    public NftJob selectCollectConfigById(Long id);

    /**
     * 查询conflux列表
     * 
     * @param nftjob conflux
     * @return conflux集合
     */
    public List<NftJob> selectCollectConfigList(NftJob nftjob);

    /**
     * 新增conflux
     * 
     * @param nftjob conflux
     * @return 结果
     */
    public int insertCollectConfig(NftJob nftjob);

    /**
     * 修改conflux
     * 
     * @param nftjob conflux
     * @return 结果
     */
    public int updateCollectConfig(NftJob nftjob);

    /**
     * 删除conflux
     * 
     * @param id conflux主键
     * @return 结果
     */
    public int deleteCollectConfigById(Long id);

    /**
     * 批量删除conflux
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCollectConfigByIds(Long[] ids);


    public int updateStatus(Integer id);

    public NftJob selectCollectConfigByStatus();
}
